Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ c/src/ChangeLog	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -1,2 +1,9 @@
+2004-02-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* libnetworking/rtems_webserver/Makefile.am: Add PREINSTALL_DIRS.
+	* libnetworking/rtems_telnetd/Makefile.am: Add PREINSTALL_DIRS.
+	* libnetworking/rtems_servers/Makefile.am: Add PREINSTALL_DIRS.
+	* libnetworking/pppd/Makefile.am: Add PREINSTALL_DIRS.
+
 2004-02-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/libnetworking/pppd/Makefile.am
===================================================================
--- c/src/libnetworking/pppd/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ c/src/libnetworking/pppd/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -33,4 +33,5 @@
 all-local: $(PREINSTALL_FILES)
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -38,5 +39,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
@@ -51,4 +52,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: c/src/libnetworking/rtems_servers/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_servers/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ c/src/libnetworking/rtems_servers/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -27,4 +27,5 @@
 all-local: $(PREINSTALL_FILES)
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -32,5 +33,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
@@ -41,4 +42,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: c/src/libnetworking/rtems_telnetd/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_telnetd/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ c/src/libnetworking/rtems_telnetd/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -30,4 +30,5 @@
 all-local: $(PREINSTALL_FILES)
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -36,5 +37,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/pty.h: pty.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
@@ -48,4 +49,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: c/src/libnetworking/rtems_webserver/Makefile.am
===================================================================
--- c/src/libnetworking/rtems_webserver/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ c/src/libnetworking/rtems_webserver/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -40,4 +40,5 @@
 EXTRA_DIST = webcomp.c webpage.c
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -45,5 +46,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
@@ -52,5 +53,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/goahead
 	@: > $(PROJECT_INCLUDE)/goahead/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/goahead/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/goahead/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems_webserver.h: rtems_webserver.h $(PROJECT_INCLUDE)/$(dirstamp)
@@ -93,4 +94,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: cpukit/ftpd/Makefile.am
===================================================================
--- cpukit/ftpd/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ cpukit/ftpd/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -27,4 +27,5 @@
 all-local: $(PREINSTALL_FILES)
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -32,5 +33,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
@@ -41,4 +42,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: cpukit/httpd/Makefile.am
===================================================================
--- cpukit/httpd/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ cpukit/httpd/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -40,4 +40,5 @@
 EXTRA_DIST = webcomp.c webpage.c
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -45,5 +46,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
@@ -52,5 +53,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/goahead
 	@: > $(PROJECT_INCLUDE)/goahead/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/goahead/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/goahead/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems_webserver.h: rtems_webserver.h $(PROJECT_INCLUDE)/$(dirstamp)
@@ -93,4 +94,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: cpukit/pppd/Makefile.am
===================================================================
--- cpukit/pppd/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ cpukit/pppd/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -33,4 +33,5 @@
 all-local: $(PREINSTALL_FILES)
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -38,5 +39,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)
 	@: > $(PROJECT_INCLUDE)/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/$(dirstamp)
 
 if HAS_NETWORKING
@@ -51,4 +52,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
Index: cpukit/telnetd/Makefile.am
===================================================================
--- cpukit/telnetd/Makefile.am	(revision 1f1b2984d7c4edb171e33c14bd2e7fd7a8013095)
+++ cpukit/telnetd/Makefile.am	(revision b5d91addb9c6ba0513292e2f49694ea8b28d5cd5)
@@ -30,4 +30,5 @@
 all-local: $(PREINSTALL_FILES)
 
+PREINSTALL_DIRS =
 PREINSTALL_FILES =
 
@@ -36,5 +37,5 @@
 	@$(mkdir_p) $(PROJECT_INCLUDE)/rtems
 	@: > $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
 $(PROJECT_INCLUDE)/rtems/pty.h: pty.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
@@ -48,4 +49,5 @@
 
 CLEANFILES += $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/automake/local.am
